CREATE OR REPLACE VIEW sim_imp_cfg_vw AS
SELECT sicc.*, 
       sid.sid_type_code, 
       sid.sid_type, 
       sid.sid_action_code, 
       decode(sid_action_code,'I','INSERT','UPDATE') sid_action
  FROM sim_imp_cfg sicc, sim_imp_defs sid
  WHERE sicc.sicc_sid_seq = sid.sid_seq;